PHP Manual
Prev |  | Next

# DOMElement->removeAttributeNode()

(no version information, might be only in CVS)

DOMElement->removeAttributeNode() -- Removes attribute

## Description

class DOMElement {
bool removeAttributeNode ( DOMAttr oldnode )
}

Removes attribute oldnode from the element.

## Parameters

oldnode

  The attribute node.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Errors/Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

`DOM_NOT_FOUND_ERROR`

  Raised if oldnode is not an attribute of the element.

## See Also

DOMElement->hasAttribute()
DOMElement->getAttributeNode()
DOMElement->setAttributeNode()

Prev | Home | Next
DOMElement->removeAttribute() | Up | DOMElement->removeAttributeNS()